Персональные токены
Персональные API-токены.
Список персональных токенов
Авторизация
bearerAuth АвторизацияBearer <токен>
В: header
Тело ответа
application/json
application/problem+json
curl -X GET "https://loading/api/v1/security/tokens"{
"tokens": [
{
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"id": "string",
"lastUsedAt": "2019-08-24T14:15:22Z",
"name": "string",
"prefix": "string",
"scopes": [
"string"
]
}
]
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Создать персональный токен
Авторизация
bearerAuth АвторизацияBearer <токен>
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
application/problem+json
application/problem+json
curl -X POST "https://loading/api/v1/security/tokens" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"pat": {
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"id": "string",
"lastUsedAt": "2019-08-24T14:15:22Z",
"name": "string",
"prefix": "string",
"scopes": [
"string"
]
},
"token": "string"
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}Отозвать персональный токен
Авторизация
bearerAuth АвторизацияBearer <токен>
В: header
Параметры пути
id*string
Идентификатор токена
Тело ответа
application/json
application/problem+json
application/problem+json
curl -X DELETE "https://loading/api/v1/security/tokens/string"{
"message": "string"
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}{
"code": "string",
"detail": "string",
"errors": [
{
"name": "string",
"pointer": "string",
"reason": "string",
"rule": "string"
}
],
"instance": "string",
"request_id": "string",
"status": 0,
"title": "string",
"trace_id": "string",
"type": "http://example.com",
"property1": null,
"property2": null
}